OpenZWave::TimeStampImpl Class Reference

Windows implementation of a timestamp. More...

`#include <TimeStampImpl.h>`

## Public Member Functions

| TimeStampImpl ()
| ~TimeStampImpl ()
void | SetTime (int32 _milliseconds)
int32 | TimeRemaining ()
string | GetAsString ()
int32 | operator- (TimeStampImpl const &_other)
| TimeStampImpl ()
| ~TimeStampImpl ()
void | SetTime (int32 _milliseconds)
int32 | TimeRemaining ()
string | GetAsString ()
int32 | operator- (TimeStampImpl const &_other)

## Detailed Description

Windows implementation of a timestamp.

## Constructor & Destructor Documentation

## TimeStampImpl() [1/2]

TimeStampImpl::TimeStampImpl | ( |  | ) |

Constructor. Creates a TimeStampImpl object.

## ~TimeStampImpl() [1/2]

TimeStampImpl::~TimeStampImpl | ( |  | ) |

Destructor. Destroys the TimeStampImpl object.

## TimeStampImpl() [2/2]

OpenZWave::TimeStampImpl::TimeStampImpl | ( |  | ) |

Constructor. Creates a TimeStampImpl object.

## ~TimeStampImpl() [2/2]

OpenZWave::TimeStampImpl::~TimeStampImpl | ( |  | ) |

Destructor. Destroys the TimeStampImpl object.

## Member Function Documentation

## GetAsString() [1/2]

string TimeStampImpl::GetAsString | ( |  | ) |

Return as as string

## GetAsString() [2/2]

string OpenZWave::TimeStampImpl::GetAsString | ( |  | ) |

Return as as string

## operator-() [1/2]

int32 TimeStampImpl::operator- | ( | TimeStampImpl const & | _other | ) |

Overload the subtract operator to get the difference between two timestamps in milliseconds.

## operator-() [2/2]

int32 OpenZWave::TimeStampImpl::operator- | ( | TimeStampImpl const & | _other | ) |

Overload the subtract operator to get the difference between two timestamps in milliseconds.

## SetTime() [1/2]

void OpenZWave::TimeStampImpl::SetTime | ( | int32 | _milliseconds | ) |

SetTime. Sets the timestamp to now, plus the offset in milliseconds.

Parameters

  _milliseconds | positive or negative offset from now in milliseconds.

## SetTime() [2/2]

void TimeStampImpl::SetTime | ( | int32 | _milliseconds | ) |

SetTime. Sets the timestamp to now, plus the offset in milliseconds.

Parameters

  _milliseconds | positive or negative offset from now in milliseconds.

## TimeRemaining() [1/2]

int32 TimeStampImpl::TimeRemaining | ( |  | ) |

TimeRemaining. Gets the difference between now and the timestamp time in milliseconds.

Returns
  milliseconds remaining until we reach the timestamp. The return value is negative if the timestamp is in the past.

## TimeRemaining() [2/2]

int32 OpenZWave::TimeStampImpl::TimeRemaining | ( |  | ) |

TimeRemaining. Gets the difference between now and the timestamp time in milliseconds.

Returns
  milliseconds remaining until we reach the timestamp. The return value is negative if the timestamp is in the past.

The documentation for this class was generated from the following files:

- windows/TimeStampImpl.h
- windows/TimeStampImpl.cpp